API de fiche d'offre d'emploi Google Jobs
Récupérez tous les détails d’une offre d’emploi individuelle sur Google Jobs. Transmettez le job_id encodé en base64 renvoyé par l’API Google Jobs en tant que paramètre q pour obtenir les options de candidature, les évaluations, les fourchettes de salaires et les points saillants.
Endpoint
Section intitulée « Endpoint » GET https://serp.shifter.io/v1?engine=google_jobs_listing&api_key=YOUR_API_KEY
Paramètres
Section intitulée « Paramètres »| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Votre clé API SERP |
engine | string | yes | Doit être google_jobs_listing |
q | string | yes | ID de l’offre d’emploi encodé en base64 provenant de l’API Google Jobs |
Exemple de requête
Section intitulée « Exemple de requête »curl "https://serp.shifter.io/v1?engine=google_jobs_listing&api_key=YOUR_API_KEY&q=eyJqb2JfdGl0bGUiOiJTciBTb2Z0d2FyZSBEZXZlbG9wZXIgKFImRCkiLCJjb21wYW55X25hbWUiOiJCLiBCcmF1biBNZWRpY2FsIEluYy4iLCJodGlkb2NpZCI6IlUzaG5lZ283TGFYSjlsRjdBQUFBQUE9PSIsInEiOiJwcm9ncmFtbWVyIn0%3D"import requests
params = { "engine": "google_jobs_listing", "api_key": "YOUR_API_KEY", "q": "eyJqb2JfdGl0bGUiOiJTciBTb2Z0d2FyZSBEZXZlbG9wZXIgKFImRCkiLCJjb21wYW55X25hbWUiOiJCLiBCcmF1biBNZWRpY2FsIEluYy4iLCJodGlkb2NpZCI6IlUzaG5lZ283TGFYSjlsRjdBQUFBQUE9PSIsInEiOiJwcm9ncmFtbWVyIn0=",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_jobs_listing', api_key: 'YOUR_API_KEY', q: 'eyJqb2JfdGl0bGUiOiJTciBTb2Z0d2FyZSBEZXZlbG9wZXIgKFImRCkiLCJjb21wYW55X25hbWUiOiJCLiBCcmF1biBNZWRpY2FsIEluYy4iLCJodGlkb2NpZCI6IlUzaG5lZ283TGFYSjlsRjdBQUFBQUE9PSIsInEiOiJwcm9ncmFtbWVyIn0=',});const data = await (await fetch(url)).json();Exemple de réponse
Section intitulée « Exemple de réponse »{ "search_parameters": { "engine": "google_jobs_listing", "google_domain": "google.com", "device": "desktop", "query": "eyJqb2JfdGl0bGUi..." }, "google_jobs_listing": { "apply_options": [ { } ], "ratings": [ { "source": "Indeed", "link": "https://www.indeed.com/cmp/B.-Braun-Medical-Inc/reviews", "rating": " 3.9 ", "reviews": " 945 reviews" } ], "salaries": [ { "source": "ZipRecruiter", "salary_currency": "$", "salary_from": "56k", "salary_to": "110k", "salary_periodicity": "per year", "based_on": " local employers" } ] }}